-- TICKER_100
function()
	---@type Message
	local message = aura_env.messageQueue[1]
	if message == nil then return end

	table.remove(aura_env.messageQueue, 1)
	print(string.format("Processing message; %d in queue", #aura_env.messageQueue))

	if message.addon then
		SendAddonMessage(aura_env.addonprefix, message.message, message.channel, nil, message.to)
	else
		SendChatMessage(message.message, message.channel, nil, message.to)
	end
end